
#Region "Imported Namespaces"

' .Net Namespaces
Imports System.Data

' 3rd Party Namespaces
Imports Infragistics.Web.UI
Imports Infragistics.WebUI.UltraWebGrid
Imports Infragistics.Web.UI.NavigationControls

#End Region


Partial Class DropDown_WebDropDownFireTwice
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        If Not Me.IsPostBack Then
            PopulatePeriods()
        End If

        For Each dtn As DataTreeNode In Me.WebDataTree1.Nodes
            dtn.Expanded = True
        Next

    End Sub

    Private Sub PopulatePeriods()

        Dim startYear As Integer = 2009
        Dim dt As New DataTable()
        dt.Columns.Add("Year", GetType(Integer))
        For year As Integer = startYear To Date.Now.Year + 5
            Dim dr As DataRow = dt.NewRow()
            dr("Year") = year
            dt.Rows.Add(dr)
        Next

        ' bind the drop down to the table
        Me.igwddYear.DataSource = dt
        Me.igwddYear.TextField = "Year"
        Me.igwddYear.ValueField = "Year"
        Me.igwddYear.DataBind()

        ' default to the current year when we first load the page
        If Not Me.IsPostBack Then
            Me.igwddYear.SelectedItemIndex = 0
        End If

    End Sub

    Protected Sub igwddYear_SelectionChanged(ByVal sender As Object, ByVal e As Infragistics.Web.UI.ListControls.DropDownSelectionChangedEventArgs) Handles igwddYear.SelectionChanged

        Dim s As String = "selection has changed"


    End Sub

    Protected Sub WebDataTree1_CheckBoxSelectionChanged(ByVal sender As Object, ByVal e As Infragistics.Web.UI.NavigationControls.DataTreeCheckBoxSelectionEventArgs) Handles WebDataTree1.CheckBoxSelectionChanged


        Dim s As String = "checkbox has been checked or unchecked"

    End Sub
End Class
